Skip to content

getSalesOrderLineShipments

READ

Get sales order line shipments.

POST /api/v1/sales/getSalesOrderLineShipments
curl -X POST '<your-host>/api/v1/sales/getSalesOrderLineShipments' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "salesOrderLineId": "string"
  }'
Response
{
  "results": [
    {
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "fulfillmentId": "string",
      "id": "string",
      "itemId": "string",
      "lineId": "string",
      "locationId": "string",
      "orderQuantity": 0,
      "outstandingQuantity": 0,
      "requiresBatchTracking": true,
      "requiresSerialTracking": true,
      "shipmentId": "string",
      "shippedQuantity": 0,
      "storageUnitId": "string",
      "unitOfMeasure": "string",
      "unitPrice": 0,
      "updatedAt": "string",
      "updatedBy": "string",
      "shipment": {
        "assignee": "string",
        "companyId": "string",
        "createdAt": "string",
        "createdBy": "string",
        "customerId": "string",
        "customFields": "…",
        "externalDocumentId": "string",
        "externalNotes": "…",
        "id": "string",
        "internalNotes": "…",
        "invoiced": true,
        "locationId": "string",
        "opportunityId": "string",
        "postedBy": "string",
        "postingDate": "string",
        "shipmentId": "string",
        "shippingMethodId": "string",
        "sourceDocument": "Sales Invoice",
        "sourceDocumentId": "string",
        "sourceDocumentReadableId": "string",
        "status": "Pending",
        "supplierId": "string",
        "supplierInteractionId": "string",
        "tags": [
          "string"
        ],
        "trackingNumber": "string",
        "updatedAt": "string",
        "updatedBy": "string"
      },
      "storageUnit": {
        "id": "string",
        "name": "string"
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "salesOrderLineId": {
      "type": "string"
    }
  },
  "required": [
    "salesOrderLineId"
  ]
}